This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 497323 - kickstart install w/ clearpart --initlabel prompts to reinitialize inconsistent LVM data
kickstart install w/ clearpart --initlabel prompts to reinitialize inconsiste...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
NEEDSRETESTING
:
Depends On:
Blocks: F11AnacondaBlocker
  Show dependency treegraph
 
Reported: 2009-04-23 08:03 EDT by James Laska
Modified: 2013-09-02 02:35 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-25 15:26:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Laska 2009-04-23 08:03:02 EDT
Description of problem:

 * Initiate a kickstart install with clearpart and partition data specified.

Version-Release number of selected component (if applicable):

 * anaconda-11.5.0.47

How reproducible:


Steps to Reproduce:
1. Initiate kickstart install with the following partition data

# System bootloader configuration                                               
bootloader --location=mbr                                                       
# Partition clearing information                                                
clearpart --all --initlabel                                                     
# Disk partitioning information                                                 
part /boot --asprimary --fstype="ext3" --size=200 --label=BOOT                  
part swap --fstype="swap" --recommended --label=SWAP                            
part raid.01 --grow --size=2048                                                 
part raid.02 --grow --size=2048                                                 
part pv.02 --size=2048                                                          
raid pv.01  --device=0 --fstype="ext3" --level=RAID0 raid.01 raid.02            
volgroup LVMONRAID --pesize=32768 pv.01 pv.02                                   
logvol /  --fstype="ext3" --grow --size=2048 --name=root --vgname=LVMONRAID

 
Actual results:

 * installation pauses and prompts for a response to:

 "Error processing LVM.  There is inconsistent LVM data on logical volume vg_test101-lv_root.  You can reinitialize all related PVs(/dev/vda2) which will erase the LVM metadata, or ignore which will preserve the contents.
 [ Ignore ]    [ Re-initialize ]"

Expected results:

 * fully non-interactive kickstart install

Additional info:
Comment 1 Chris Lumens 2009-04-23 10:14:40 EDT
Does using the zerombr command work?  According to the wiki, this command does the following:

    If zerombr is specified, any invalid partition tables found on disks are  initialized. This will destroy all of the contents of disks with invalid partition tables.

That seems to translate pretty well into LVM land too.
Comment 2 James Laska 2009-04-23 10:43:25 EDT
Odd, in trying to retest this, I now hit bug#497352.  A bit confused now
Comment 3 Chris Lumens 2009-04-23 11:52:46 EDT
Putting back into NEEDINFO for now.  I hate how adding comments automatically takes it out of that state.
Comment 4 Chris Lumens 2009-05-01 17:07:37 EDT
This should be fixed in the next build of anaconda by moving clearpart into the early kickstart pass.
Comment 5 Bug Zapper 2009-06-09 10:27:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.